Rails.application.routes.draw do
  get "wiki_pages/index"
  get "wiki_pages/show"
  get "wiki_pages/create"
  get "wiki_pages/update"
  get "wiki_pages/destroy"
  get "users/index"
  get "users/show"
  get "users/create"
  get "users/update"
  get "users/destroy"
  get "user_post_views/index"
  get "user_post_views/show"
  get "user_post_views/create"
  get "user_post_views/update"
  get "user_post_views/destroy"
  get "user_ips/index"
  get "user_ips/show"
  get "user_ips/create"
  get "user_ips/update"
  get "user_ips/destroy"
  get "tags/index"
  get "tags/show"
  get "tags/create"
  get "tags/update"
  get "tags/destroy"
  get 'tags/autocomplete', to: 'tags#autocomplete'
  get "tag_aliases/index"
  get "tag_aliases/show"
  get "tag_aliases/create"
  get "tag_aliases/update"
  get "tag_aliases/destroy"
  get "settings/index"
  get "settings/show"
  get "settings/create"
  get "settings/update"
  get "settings/destroy"
  get "post_tags/index"
  get "post_tags/show"
  get "post_tags/create"
  get "post_tags/update"
  get "post_tags/destroy"
  post 'posts/:id/viewed', to: 'posts#viewed'
  delete 'posts/:id/viewed', to: 'posts#unviewed'
  get "nico_tag_relation/index"
  get "nico_tag_relation/show"
  get "nico_tag_relation/create"
  get "nico_tag_relation/update"
  get "nico_tag_relation/destroy"
  get "ip_addresses/index"
  get "ip_addresses/show"
  get "ip_addresses/create"
  get "ip_addresses/update"
  get "ip_addresses/destroy"
  root 'home#index'

  resources :posts
  resources :ip_addresses
  resources :nico_tag_relations
  resources :post_tags
  resources :settings
  resources :tag_aliases
  resources :tags
  resources :user_ips
  resources :user_post_views
  resources :users, only: [:create] do
    collection do
      post :verify
      get :me
    end
  end
  resources :wiki_pages

  # Define your application routes per the DSL in https://guides.rubyonrails.org/routing.html

  # Reveal health status on /up that returns 200 if the app boots with no exceptions, otherwise 500.
  # Can be used by load balancers and uptime monitors to verify that the app is live.
  # get "up" => "rails/health#show", as: :rails_health_check

  # Defines the root path route ("/")
  # root "posts#index"
end
